<script setup>
import { ref,  } from "vue";
const props = defineProps({
  img: {
    type: String,
    default: "",
  },
  offset: {
    type: Array,
    default() {
      return [0, 0];
    },
  },
  width: {
    type: Number,
    default: 40,
  },
  height: {
    type: Number,
    default: 160,
  },
})

</script>

<template>
  <g :transform="'translate(' + offset.join(',') + ')'">
    <image
      :width="width"
      :height="height"
      :xlink:href="img"
    />
  </g>
</template>

<style scoped lang="less">

</style>